mbed TLS v2.23.0: psa_drv_se_key_management_t Struct Reference

mbed TLS v2.23.0

Data Fields
psa_drv_se_key_management_t Struct Reference
Secure Element Key Management

A struct containing all of the function pointers needed to for secure element key management. More...

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_key_management_t:
[legend]

## Data Fields
psa_drv_se_allocate_key_t | p_allocate
psa_drv_se_validate_slot_number_t | p_validate_slot_number
psa_drv_se_import_key_t | p_import
psa_drv_se_generate_key_t | p_generate
psa_drv_se_destroy_key_t | p_destroy
psa_drv_se_export_key_t | p_export
psa_drv_se_export_key_t | p_export_public

## Detailed Description

A struct containing all of the function pointers needed to for secure element key management.

PSA Crypto API implementations should populate instances of the table as appropriate upon startup or at build time.

If one of the functions is not implemented, it should be set to NULL.

Definition at line 1120 of file crypto_se_driver.h.

## Field Documentation

## ◆ p_allocate

psa_drv_se_allocate_key_t psa_drv_se_key_management_t::p_allocate

Function that allocates a slot for a key.

Definition at line 1122 of file crypto_se_driver.h.

## ◆ p_destroy

psa_drv_se_destroy_key_t psa_drv_se_key_management_t::p_destroy

Function that performs a key destroy operation

Definition at line 1130 of file crypto_se_driver.h.

## ◆ p_export

psa_drv_se_export_key_t psa_drv_se_key_management_t::p_export

Function that performs a key export operation

Definition at line 1132 of file crypto_se_driver.h.

## ◆ p_export_public

psa_drv_se_export_key_t psa_drv_se_key_management_t::p_export_public

Function that performs a public key export operation

Definition at line 1134 of file crypto_se_driver.h.

## ◆ p_generate

psa_drv_se_generate_key_t psa_drv_se_key_management_t::p_generate

Function that performs a generation

Definition at line 1128 of file crypto_se_driver.h.

## ◆ p_import

psa_drv_se_import_key_t psa_drv_se_key_management_t::p_import

Function that performs a key import operation

Definition at line 1126 of file crypto_se_driver.h.

## ◆ p_validate_slot_number

psa_drv_se_validate_slot_number_t psa_drv_se_key_management_t::p_validate_slot_number

Function that checks the validity of a slot for a key.

Definition at line 1124 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h